
function mudfish_adclean_95fe54cd8e6c043af80dec92fec92a0c() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`div[id*="-banner-"] > div[class*=" "] > div[class*=" "][style*=" "]`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_95fe54cd8e6c043af80dec92fec92a0c();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_95fe54cd8e6c043af80dec92fec92a0c();
  });
}
